import request from '@/utils/request'

// 查询app版本列表
export function listApp(query) {
  return request({
    url: '/his/appVersion/list',
    method: 'get',
    params: query
  })
}

// 查询app版本详细
export function getApp(versionId) {
  return request({
    url: '/his/appVersion/' + versionId,
    method: 'get'
  })
}

// 新增app版本
export function addApp(data) {
  return request({
    url: '/his/appVersion',
    method: 'post',
    data: data
  })
}

// 修改app版本
export function updateApp(data) {
  return request({
    url: '/his/appVersion',
    method: 'put',
    data: data
  })
}

// 删除app版本
export function delApp(versionId) {
  return request({
    url: '/his/appVersion/' + versionId,
    method: 'delete'
  })
}

// 导出app版本
export function exportApp(query) {
  return request({
    url: '/his/appVersion/export',
    method: 'get',
    params: query
  })
}